【漏洞通告】Spring-cloud-config-server路径遍历(CVE-2020-5405)

绿盟科技安全研究员发现spring-cloud-config-server组件中存在路径遍历漏洞(CVE-2020-5405),2月26日Spring官方发布了漏洞通告并致谢。

一、漏洞概述

绿盟科技安全研究员发现spring-cloud-config-server组件中存在路径遍历漏洞(CVE-2020-5405),2月26日Spring官方发布了漏洞通告并致谢。

攻击者利用此漏洞可以实现目录遍历,读取未授权文件的内容,请相关用户尽快升级spring-cloud-config-server至修复版本,对此漏洞进行防护。

利用成功的截图如下:

二、影响范围

受影响版本:

  • 2.2.0 to 2.2.1
  • 2.1.0 to 2.1.6

不受影响版本:

  • 2.2.2
  • 2.1.7

三、漏洞检测

3.1 版本检测

建议开发人员排查应用程序中对spring-cloud-config-server组件的引用情况,并检查当前使用的版本,以Maven项目为例,检查pom.xml文件中引入spring-cloud-config-server组件的具体版本,如果当前版本在受影响范围内,则可能存在安全风险。

四、漏洞防护

4.1 官方升级

官方已经在最新的版本中修复了该漏洞,请受影响的用户尽快升级版本进行防护。开发人员可以通过配置Maven的方式对应用升级并编译发布,配置方法如下:

使用2.1.x版本的用户请更新至2.1.7版本:

<!-- https://mvnrepository.com/artifact/org.springframework.cloud/spring-cloud-config-server
-->
<dependency>  
<groupId>org.springframework.cloud</groupId>
<artifactId>spring-cloud-config-server</artifactId>
<version>2.1.7.RELEASE</version>
</dependency>

使用2.2.x版本的用户请更新至2.2.2版本:

<!-- https://mvnrepository.com/artifact/org.springframework.cloud/spring-cloud-config-server
-->
<dependency>
<groupId>org.springframework.cloud</groupId>
<artifactId>spring-cloud-config-server</artifactId>
<version>2.2.2.RELEASE</version>
</dependency>

声明

本安全公告仅用来描述可能存在的安全问题,绿盟科技不为此安全公告提供任何保证或承诺。由于传播、利用此安全公告所提供的信息而造成的任何直接或者间接的后果及损失,均由使用者本人负责,绿盟科技以及安全公告作者不为此承担任何责任。

绿盟科技拥有对此安全公告的修改和解释权。如欲转载或传播此安全公告,必须保证此安全公告的完整性,包括版权声明等全部内容。未经绿盟科技允许,不得任意修改或者增减此安全公告内容,不得以任何方式将其用于商业目的。

关于绿盟科技

北京神州绿盟信息安全科技股份有限公司(简称绿盟科技)成立于2000年4月,总部位于北京。在国内外设有30多个分支机构,为政府、运营商、金融、能源、互联网以及教育、医疗等行业用户,提供具有核心竞争力的安全产品及解决方案,帮助客户实现业务的安全顺畅运行。

基于多年的安全攻防研究,绿盟科技在网络及终端安全、互联网基础安全、合规及安全管理等领域,为客户提供入侵检测/防护、抗拒绝服务攻击、远程安全评估以及Web安全防护等产品以及专业安全服务。

北京神州绿盟信息安全科技股份有限公司于2014年1月29日起在深圳证券交易所创业板上市,股票简称:绿盟科技,股票代码:300369。

发表评论